/* $Header:_qstuff.c 12.0$ */
/* $ACIS:_qstuff.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libaed/RCS/_qstuff.c,v $ */

#ifndef lint
static char *rcsid = "$Header:_qstuff.c 12.0$";
#endif

#include "whim.h"
VI_QColor(curcolor)
  INT16 *curcolor;		     /* current color */
  begin
#include "whimdcl.h"
    VI_Force();    /* send out any pending orders */
    *curcolor = parms.color;	/* copy global values to parameters */
  end

VI_QPoint(curx,cury)
  INT16 *curx,*cury;		       /* current point */
  begin
#include "whimdcl.h"
    VI_Force();    /* send out any pending orders */
    /* copy global values to parameters */
    *curx = parms.xposn;
    *cury = parms.yposn;
  end

VI_QMerge(curmerge)
  INT16 *curmerge;		       /* current merge mode */
  begin
#include "whimdcl.h"
    VI_Force();    /* send out any pending orders */
    /* copy global values to parameters */
    *curmerge = parms.merge;
  end

VI_QFont(curfont)
  INT16 *curfont;		     /* current font id */
  begin
#include "whimdcl.h"
    VI_Force();    /* send out any pending orders */
    /* copy global values to parameters */
    *curfont = parms.fontid;
  end

VI_QDash(curpat,curlen)
  INT16 *curpat,*curlen;			   /* current pattern */
  begin
#include "whimdcl.h"
    VI_Force();    /* send out any pending orders */

    /* copy global values to parameters */
    *curpat = parms.dashpat;
    *curlen = parms.dashlen;
  end

VI_QWidth(curwidth)
  INT16 *curwidth;		     /* line width */
  begin
#include "whimdcl.h"
    VI_Force();    /* send out any pending orders */
    /* copy global values to parameters */
    *curwidth = parms.width;
  end

VI_QClip(lx,ly,hx,hy)
  INT16 *lx,*ly,*hx,*hy;		     /* clipping window */
  begin
#include "whimdcl.h"
    VI_Force();    /* send out any pending orders */
    /* copy global values to parameters */
    *lx = parms.userclx;
    *ly = parms.usercly;
    *hx = parms.userchx;
    *hy = parms.userchy;
  end
